Page MenuHomeFreeBSD

ossl: Add AES-GCM support for NEON-enabled armv7
ClosedPublic

Authored by markj on Aug 3 2023, 6:37 PM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, May 3, 2:51 PM
Unknown Object (File)
Mon, Apr 29, 11:44 AM
Unknown Object (File)
Sat, Apr 27, 2:58 PM
Unknown Object (File)
Fri, Apr 26, 7:11 PM
Unknown Object (File)
Apr 23 2024, 7:53 AM
Unknown Object (File)
Apr 22 2024, 11:12 PM
Unknown Object (File)
Apr 16 2024, 4:22 PM
Unknown Object (File)
Apr 4 2024, 11:08 PM

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

markj requested review of this revision.Aug 3 2023, 6:37 PM
This revision is now accepted and ready to land.Aug 5 2023, 12:01 AM
stephane.rochoy_stormshield.eu added inline comments.
sys/conf/files.arm
139

Shouldn't it be crypto/openssl/arm/ossl_aes_gcm.c ?

markj marked an inline comment as done.

Fix the in-kernel build.

This revision now requires review to proceed.Sep 12 2023, 8:20 AM
sys/conf/files.arm
139

Indeed, thank you, I had only tested ossl as a kernel module.

This revision was not accepted when it landed; it landed in state Needs Review.Nov 30 2023, 5:52 PM
This revision was automatically updated to reflect the committed changes.